Data.Key

# Keys

type family Key (f :: * -> *)

# Keyed functors

class Keyed f

(<#$>)

keyed

# Zippable functors

class Zip f

# Zipping keyed functors

class ZipWithKey f

# Indexable functors

class Indexable f

(!)

# Safe Lookup

class Lookup f

lookupDefault

# Adjustable

class Adjustable f

# FoldableWithKey

class FoldableWithKey t

foldrWithKey'

foldlWithKey'

foldrWithKeyM

foldlWithKeyM

traverseWithKey_

forWithKey_

mapWithKeyM_

forWithKeyM_

concatMapWithKey

anyWithKey

allWithKey

findWithKey

# FoldableWithKey1

class FoldableWithKey1 t

traverseWithKey1_

forWithKey1_

foldMapWithKeyDefault1

# TraversableWithKey

class TraversableWithKey t

forWithKey

forWithKeyM

mapAccumWithKeyL

mapAccumWithKeyR

mapWithKeyDefault

foldMapWithKeyDefault

# TraversableWithKey1

class TraversableWithKey1 t

foldMapWithKey1Default